﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using ZedAxisOnline.Data.EF;

namespace ZedAxisOnline.Data.EF.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20190712170841_UserQuickbookConnection tables added")]
    partial class UserQuickbookConnectiontablesadded
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTransactionTypeId");

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionTypeId");

                    b.ToTable("ConnectionTransactionColumn");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTypeId");

                    b.Property<string>("EventName");

                    b.Property<string>("TransType");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTypeId");

                    b.ToTable("ConnectionTransactionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("ConnectionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookSampleData", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ConnectionTransactionColumnId");

                    b.Property<string>("SampleData1");

                    b.Property<string>("SampleData2");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("ConnectionTransactionColumnId");

                    b.HasIndex("UserId");

                    b.ToTable("QuickbookSampleData");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionColumn", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.Property<int>("QuickbookTransactionTypeId");

                    b.HasKey("Id");

                    b.HasIndex("QuickbookTransactionTypeId");

                    b.ToTable("QuickbookTransactionColumn");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionType", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("QuickbookTransactionType");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.Role", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .HasMaxLength(30);

                    b.HasKey("Id");

                    b.ToTable("Role");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("CreatedOn");

                    b.Property<string>("Email")
                        .HasMaxLength(100);

                    b.Property<string>("FirstName")
                        .HasMaxLength(30);

                    b.Property<bool>("IsActive");

                    b.Property<DateTime>("LastActive");

                    b.Property<string>("LastName")
                        .HasMaxLength(30);

                    b.Property<DateTime>("ModifiedOn");

                    b.Property<byte[]>("PasswordHash");

                    b.Property<byte[]>("PasswordSalt");

                    b.Property<string>("Photo")
                        .HasMaxLength(50);

                    b.Property<string>("QuickbookSub");

                    b.Property<int>("RoleId");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("User");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.UserQuickbookConnection", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AccessToken");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<DateTime>("ExpireOn");

                    b.Property<bool>("IsActive");

                    b.Property<bool>("IsCurrentCompany");

                    b.Property<string>("RealmId");

                    b.Property<string>("RefreshToken");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("UserQuickbookConnection");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoConnection", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AccessToken")
                        .IsRequired();

                    b.Property<string>("ConnectionName");

                    b.Property<DateTime>("CreatedOn");

                    b.Property<string>("ExpireInSec");

                    b.Property<string>("RefreshToken")
                        .IsRequired();

                    b.Property<string>("TokenType");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("ZohoConnection");
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", "ConnectionTransactionType")
                        .WithMany("ConnectionTransactionColumns")
                        .HasForeignKey("ConnectionTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ConnectionTransactionType", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionType", "ConnectionType")
                        .WithMany("ConnectionTransactionTypes")
                        .HasForeignKey("ConnectionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookSampleData", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.ConnectionTransactionColumn", "ConnectionTransactionColumn")
                        .WithMany("QuickBookSampleData")
                        .HasForeignKey("ConnectionTransactionColumnId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("QuickBookSampleData")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.QuickbookTransactionColumn", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.QuickbookTransactionType", "QuickbookTransactionType")
                        .WithMany("QuickbookTransactionColumns")
                        .HasForeignKey("QuickbookTransactionTypeId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.User", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.Role", "Role")
                        .WithMany("Users")
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.UserQuickbookConnection", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("UserQuickbookConnections")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("ZedAxisOnline.Data.EF.Models.ZohoConnection", b =>
                {
                    b.HasOne("ZedAxisOnline.Data.EF.Models.User", "User")
                        .WithMany("ZohoConnections")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
